Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deVec3.cpp File Reference

Some non-inline 3D vector functions. More...

`#include "deMath.hpp"`

Include dependency graph for deVec3.cpp:

## Functions
void | Vec3d_Squeeze (deVec3d &v, deDouble e)
void | Vec3d_Cross (const deVec3d &V1, const deVec3d &V2, deVec3d &Result)
| compute the cross product of two deVec3d
void | Vec3d_Cross (const deVertex &V1, const deVertex &V2, deVertex &Result)
| compute the cross product of two deVertex
deDouble | Vec3d_Normalize (deVec3d &V1)
deFloat | Vertex_Normalize (deVertex &V1)
deARGB | Vec3d_ConvertToDot3 (const deVec3d &v, deFloat Height)
| compute the 32-bit deARGB value for a normalized deVec3d (for dot3 bumpmapping)
deARGB | Vec3d_ConvertToDot3Clamp (const deVec3d &v, deFloat Height)

## Detailed Description

Some non-inline 3D vector functions.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  Assassin

Remarks:
  Creation

Date:
  Jul 2002

Author:
  Hootie

Remarks:
  Convert to static lib

## Function Documentation

deARGB Vec3d_ConvertToDot3 | ( | const deVec3d & | v,
|  | deFloat | Height
| ) |

| compute the 32-bit deARGB value for a normalized deVec3d (for dot3 bumpmapping)

deARGB Vec3d_ConvertToDot3Clamp | ( | const deVec3d & | v,
|  | deFloat | Height
| ) |

void Vec3d_Cross | ( | const deVertex & | V1,
|  | const deVertex & | V2,
|  | deVertex & | Result
| ) |

| compute the cross product of two deVertex

void Vec3d_Cross | ( | const deVec3d & | V1,
|  | const deVec3d & | V2,
|  | deVec3d & | Result
| ) |

| compute the cross product of two deVec3d

deDouble Vec3d_Normalize | ( | deVec3d & | V | ) |

| normalize a deVec3d Returns: the length of the original vector

void Vec3d_Squeeze | ( | deVec3d & | v,
|  | deDouble | Epsilon = 0.00001
| ) |

| "squeeze" the components of a deVec3d: if they are within Epsilon units of zero, set them to zero. Useful for getting "perfect" orthographic orientations after moving around a bit

deFloat Vertex_Normalize | ( | deVertex & | V | ) |

| normalize a deVertex Returns: the length of the original vector